#version 120

uniform sampler2D diffuseSamper;
uniform vec2 texel;
uniform vec2 resolution;
uniform vec4 color;
uniform float radius;

void main(void) {
    vec4 centerCol = texture2D(diffuseSamper, gl_TexCoord[0].st);

    if(centerCol.a != 0.0F)
        return;

    for(float x = -radius; x <= radius; x++) {
        for(float y = -radius; y <= radius; y++) {
            vec4 currentColor = texture2D(diffuseSamper, gl_TexCoord[0].st + vec2(texel.x * x, texel.y * y));

            if(currentColor.a != 0.0F) {
                gl_FragColor = color;
            }
        }
    }
}